Bug 96174 - support for view-only connection
Summary: support for view-only connection
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Jaison Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-02 18:38 UTC by _
Modified: 2006-07-16 16:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ 2005-01-02 18:38:14 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Compiled From Sources
Compiler:          gcc 3.4.3 
OS:                Linux

I know there is already view-only connection support, but I'd like to see an option to create a view-only connection (so the VNC session is view-only from the start).
Comment 1 Brad Hards 2005-01-03 00:29:22 UTC
You might need to have another go at explaining this. Your wish seems to be of the form "I know you can do foo, but I want foo". Please explain the difference (in exact detail) between the current behaviour and the behaviour you'd like to see.
Comment 2 _ 2005-01-03 00:34:01 UTC
At the moment to make a view-only connection you have to connect normally and then select 'View-only' in the menu when the connected.
I'd like to see a possibility to create a view-only connection from the start (so a view-only checkbox in the connect dialog).
Comment 3 F Reifenstahl 2005-07-11 13:58:24 UTC
There was a short discussion on that issue in bug #54048 (I can't fully agree to the command line counter-arguments placed there). I support the request for a command line option to startup krdc in view-only mode. Currently the first thing after connecting to a PC is to switch to view only by clicking to the menu entry, while the users voice sounds out of the telephone receiver: "Do you see? I superimposed the mouse pointer ... hey, where's the mouse pointer?!"
Comment 4 Andreas Kling 2006-07-16 16:20:39 UTC
SVN commit 563036 by kling:

Make "always show local cursor" and "view only" permanently configurable via krdcrc.
Since we're in a GUI/message freeze, I can't add any GUI to these options until KDE4.

The options and their defaults are:

viewOnly=false
alwaysShowLocalCursor=false

BUG: 96174
BUG: 108620


 M  +3 -0      krdc.cpp  
 M  +2 -1      main.cpp  


--- branches/KDE/3.5/kdenetwork/krdc/krdc.cpp #563035:563036
@@ -21,6 +21,7 @@
 #include "hostpreferences.h"
 
 #include <kapplication.h>
+#include <kconfig.h>
 #include <kdebug.h>
 #include <kcombobox.h>
 #include <kurl.h>
@@ -185,6 +186,8 @@
 			break;
 	}
 
+	m_view->setViewOnly(kapp->config()->readBoolEntry("viewOnly", false));
+
 	m_scrollView->addChild(m_view);
 	QWhatsThis::add(m_view, i18n("Here you can see the remote desktop. If the other side allows you to control it, you can also move the mouse, click or enter keystrokes. If the content does not fit your screen, click on the toolbar's full screen button or scale button. To end the connection, just close the window."));
 
--- branches/KDE/3.5/kdenetwork/krdc/main.cpp #563035:563036
@@ -21,6 +21,7 @@
 #include <kapplication.h>
 #include <klocale.h>
 #include <kmessagebox.h>
+#include <kconfig.h>
 #include <kdebug.h>
 #include <kwallet.h>
 #include <qwindowdefs.h>
@@ -102,7 +103,7 @@
 	QString keymap = QString::null;
 	WindowMode wm = WINDOW_MODE_AUTO;
 	bool scale = false;
-	bool localCursor = false;
+	bool localCursor = kapp->config()->readBoolEntry("alwaysShowLocalCursor", false);
 	QSize initialWindowSize;
 
 	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();